package com.link.core.util;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Configuration
@Component
public class CoreYmlProperties implements InitializingBean {
   @Value("${spring.redis.host}")
   private String redisHost;
   @Value("${spring.redis.password}")
   private String redisPassword;
   @Value("${spring.redis.port}")
   private String redisPort;
   @Value("${server.abbreviation}")
   private String serverAbbreviation;
   @Value("${application.uploadfile.mobile.httpshare}")
   private String appShareUrlDir;
   @Value("${application.uploadfile.mobile.share}")
   private String appShareFileDir;
   @Value("${application.uploadfile.portal.httpshare}")
   private String portalShareUrlDir;
   @Value("${application.uploadfile.portal.share}")
   private String portalShareFileDir;
   @Value("${application.io.temporary.httpshare}")
   private String temporaryIOUrlDir;
   @Value("${application.io.temporary.share}")
   private String temporaryIOFileDir;
   @Value("${application.io.temporary.share2}")
   private String temporaryIOFileDir2;
   @Value("${application.io.template.path}")
   private String templatePath;
   @Value("${application.database}")
   private String applicationDatabase;
   @Value("${application.mybatislog.logsqltype}")
   private String logSqlType;
   @Value("${application.mybatislog.logexecutesql}")
   private String logExecuteSql;
   @Value("${application.mybatislog.logerrorsql}")
   private String logErrorSql;
   @Value("${application.updateoptions.updatecheck}")
   private String updateCheck;
   @Value("${application.updateoptions.deletecheck}")
   private String deleteCheck;
   @Value("${application.updateoptions.checkcorp}")
   private String checkCorp;
   @Value("${application.updateoptions.updatespecifiedfields}")
   private String updatespecifiedfields;
   @Value("${id.linkCodeDigit}")
   private Integer linkCodeDigit;
   @Value("${application.aes.secret}")
   private String aesSecretkey;
   @Value("${spring.redis.cluster.expireSeconds}")
   private int redisClusterExpireSeconds;
   @Value("${spring.redis.cluster.commandTimeout}")
   private int redisClusterCommandTimeout;
   @Value("${spring.redis.cluster.nodes}")
   private String clusterNodes;
   @Value("${spring.redis.cluster.password}")
   private String redisClusterPassword;
   @Value("${spring.redis.cluster.state}")
   private boolean applicationRedisClusterState;
   @Value("${basicmodel.sqlandcorpid}")
   private String sqlAndCorpId;
   @Value("${function.time}")
   private boolean isRecord;
   @Value("${application.logtoes}")
   private String logToES;
   @Value("${id.machineidRange}")
   private String machineidRange;

   public void afterPropertiesSet() throws Exception {
      CoreYmlConstants.setApplicationRedisPassword(this.redisPassword);
      CoreYmlConstants.setApplicationRedisHost(this.redisHost);
      CoreYmlConstants.setApplicationRedisPort(this.redisPort);
      CoreYmlConstants.setServerAbbreviation(this.serverAbbreviation);
      CoreYmlConstants.setPortalShareFileDir(this.portalShareFileDir);
      CoreYmlConstants.setPortalShareUrlDir(this.portalShareUrlDir);
      CoreYmlConstants.setTemporaryIOUrlDir(this.temporaryIOUrlDir);
      CoreYmlConstants.setTemporaryIOFileDir(this.temporaryIOFileDir);
      CoreYmlConstants.setTemporaryIOFileDir2(this.temporaryIOFileDir2);
      CoreYmlConstants.setTemplatePath(this.templatePath);
      CoreYmlConstants.setApplicationDatabase(this.applicationDatabase);
      CoreYmlConstants.setLogSqlType(this.logSqlType);
      CoreYmlConstants.setLogErrorSql(this.logErrorSql);
      CoreYmlConstants.setLogExecuteSql(this.logExecuteSql);
      CoreYmlConstants.setUpdateCheck(this.updateCheck);
      CoreYmlConstants.setDeleteCheck(this.deleteCheck);
      CoreYmlConstants.setCheckCorp(this.checkCorp);
      CoreYmlConstants.setUpdateSpecifiedFields(this.updatespecifiedfields);
      CoreYmlConstants.setLinkCodeDigit(this.linkCodeDigit);
      CoreYmlConstants.setAesSecretkey(this.aesSecretkey);
      CoreYmlConstants.setRedisClusterCommandTimeout(this.redisClusterCommandTimeout);
      CoreYmlConstants.setRedisClusterNodes(this.clusterNodes);
      CoreYmlConstants.setRedisClusterPassword(this.redisClusterPassword);
      CoreYmlConstants.setApplicationRedisClusterState(this.applicationRedisClusterState);
      CoreYmlConstants.setSqlAndCorpId(this.sqlAndCorpId);
      CoreYmlConstants.setIsRecord(this.isRecord);
      CoreYmlConstants.setLogToES(this.logToES);
      CoreYmlConstants.setMachineidRange(this.machineidRange);
   }
}
